Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1688791 - [abrt] gnome-settings-daemon: NSSRWLock_LockRead_Util(): gsd-smartcard killed by SIGSEGV
Summary: [abrt] gnome-settings-daemon: NSSRWLock_LockRead_Util(): gsd-smartcard killed...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rui Matos
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a2f15b7e6296e355e7de54bd4ff...
: 1695167 1696049 1697205 1706034 1706092 1706110 1706902 1707174 1707508 1707879 1708681 1708979 1709030 1710674 1711796 1713690 1713741 1713812 1713946 1714314 1714343 1716104 1717224 1717612 1718863 1720427 1725325 1740829 1750129 1750999 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-14 13:02 UTC by Joachim Frieben
Modified: 2019-09-11 01:48 UTC (History)
51 users (show)

Fixed In Version: gnome-settings-daemon-3.32.0-2.fc30 gnome-settings-daemon-3.30.2-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-12 14:47:13 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2019-03-14 13:02 UTC, Joachim Frieben
no flags Details
File: cgroup (deleted)
2019-03-14 13:02 UTC, Joachim Frieben
no flags Details
File: core_backtrace (deleted)
2019-03-14 13:02 UTC, Joachim Frieben
no flags Details
File: cpuinfo (deleted)
2019-03-14 13:02 UTC, Joachim Frieben
no flags Details
File: dso_list (deleted)
2019-03-14 13:02 UTC, Joachim Frieben
no flags Details
File: environ (deleted)
2019-03-14 13:02 UTC, Joachim Frieben
no flags Details
File: exploitable (deleted)
2019-03-14 13:02 UTC, Joachim Frieben
no flags Details
File: limits (deleted)
2019-03-14 13:02 UTC, Joachim Frieben
no flags Details
File: maps (deleted)
2019-03-14 13:02 UTC, Joachim Frieben
no flags Details
File: mountinfo (deleted)
2019-03-14 13:02 UTC, Joachim Frieben
no flags Details
File: open_fds (deleted)
2019-03-14 13:02 UTC, Joachim Frieben
no flags Details
File: proc_pid_status (deleted)
2019-03-14 13:02 UTC, Joachim Frieben
no flags Details

Description Joachim Frieben 2019-03-14 13:02:05 UTC
Version-Release number of selected component:
gnome-settings-daemon-3.32.0-1.fc30

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/libexec/gsd-smartcard
crash_function: NSSRWLock_LockRead_Util
executable:     /usr/libexec/gsd-smartcard
journald_cursor: s=b72964ec27fb43c7bfd2798e8f25e5d2;i=38cf;b=ee6678df21fc41b5bc1dceff63c27cad;m=21df1a9bb;t=5840d782c469f;x=419ffbb655323314
kernel:         5.0.0-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 NSSRWLock_LockRead_Util at nssrwlk.c:145
 #1 SECMOD_GetReadLock at pk11list.c:41
 #2 secmod_HandleWaitForSlotEvent at pk11util.c:1134
 #4 SECMOD_WaitForAnyTokenEvent at pk11util.c:1220
 #5 watch_one_event_from_driver at ../plugins/smartcard/gsd-smartcard-manager.c:197
 #6 watch_smartcards_from_driver at ../plugins/smartcard/gsd-smartcard-manager.c:297
 #7 g_task_thread_pool_thread at ../gio/gtask.c:1404
 #9 g_thread_proxy at ../glib/gthread.c:805

Potential duplicate: bug 1655230

Comment 1 Joachim Frieben 2019-03-14 13:02:08 UTC
Created attachment 1544047 [details]
File: backtrace

Comment 2 Joachim Frieben 2019-03-14 13:02:09 UTC
Created attachment 1544048 [details]
File: cgroup

Comment 3 Joachim Frieben 2019-03-14 13:02:11 UTC
Created attachment 1544049 [details]
File: core_backtrace

Comment 4 Joachim Frieben 2019-03-14 13:02:12 UTC
Created attachment 1544050 [details]
File: cpuinfo

Comment 5 Joachim Frieben 2019-03-14 13:02:14 UTC
Created attachment 1544051 [details]
File: dso_list

Comment 6 Joachim Frieben 2019-03-14 13:02:15 UTC
Created attachment 1544052 [details]
File: environ

Comment 7 Joachim Frieben 2019-03-14 13:02:17 UTC
Created attachment 1544053 [details]
File: exploitable

Comment 8 Joachim Frieben 2019-03-14 13:02:18 UTC
Created attachment 1544054 [details]
File: limits

Comment 9 Joachim Frieben 2019-03-14 13:02:20 UTC
Created attachment 1544055 [details]
File: maps

Comment 10 Joachim Frieben 2019-03-14 13:02:21 UTC
Created attachment 1544056 [details]
File: mountinfo

Comment 11 Joachim Frieben 2019-03-14 13:02:23 UTC
Created attachment 1544057 [details]
File: open_fds

Comment 12 Joachim Frieben 2019-03-14 13:02:24 UTC
Created attachment 1544058 [details]
File: proc_pid_status

Comment 13 Chris Murphy 2019-03-29 18:19:10 UTC
Similar problem has been detected:

1. boot
2. login
3. see crash notification

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/libexec/gsd-smartcard
crash_function: NSSRWLock_LockRead_Util
executable:     /usr/libexec/gsd-smartcard
journald_cursor: s=dd89f77c3a46475ca927e1ec3010b952;i=86a;b=6e7a64ca1f5d4efeb43280fa4189781a;m=1a24f88;t=5853f86074a0e;x=97d65526f45983b9
kernel:         5.0.5-300.fc30.x86_64
package:        gnome-settings-daemon-3.32.0-1.fc30
reason:         gsd-smartcard killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            42

Comment 14 Brandon Johnson 2019-04-02 15:29:40 UTC
*** Bug 1695167 has been marked as a duplicate of this bug. ***

Comment 15 sandau18 2019-04-04 04:44:15 UTC
*** Bug 1696049 has been marked as a duplicate of this bug. ***

Comment 16 Brandon Johnson 2019-04-08 04:42:56 UTC
*** Bug 1697205 has been marked as a duplicate of this bug. ***

Comment 17 Jason Moss 2019-05-03 12:23:15 UTC
*** Bug 1706034 has been marked as a duplicate of this bug. ***

Comment 18 Michael 2019-05-03 14:24:05 UTC
*** Bug 1706092 has been marked as a duplicate of this bug. ***

Comment 19 Fernando Braga Alves 2019-05-03 14:49:31 UTC
*** Bug 1706110 has been marked as a duplicate of this bug. ***

Comment 20 David Manoel 2019-05-05 20:37:18 UTC
Similar problem has been detected:

Acabei de instalar o sistema em uma maquina virtual e após executar o dnf update,
reinicializei o sistema operacional, em seguida me apareceu uma notificação de que
o fedora se recuperou de um erro grave.
Estou reportando porque sei que mesmo sendo uma maquina virtual,pode ser que ajude aos desenvolvedores.

Outra observação é que eu gostaria de fazer uma porgunta.

Quero usar o fedora com Gnome SHELL como meu ambiente desktop.
Mas meu computador é um notebook STI is1442. No entanto, minha tela principal, o LVDS-1, está danificado,
então estou usando um monitor na porta VGA e um outro na porta HDMI, ou seja, multiplos monitores.
Porém, mesmo quando configuro o sistema para desabilitar o LVDS-1 e configurando as resoluções dos 2 monitores externos,
e configurando o sistema para não pedir a senha de login, o sistema não permanece com as configurações que inseri
e sempre volta pra tela de login do Gnome e com os monitores desconfigurados.

Por favor equipe da Gnome Shell, resolvam isso.
Esse mesmo problema ocorre no Ubuntu(odeio o Ubuntu), PoP!OS, Manjaro Gnome
e também aqui no Fedora que é o meu preferido.

Sei que para vocês sabem resolver isso e vocês poderiam resolver isso criando um app para desabilitar o LVDS-1 sem tanta burocracia.
Meu problema é incomum, mas ocorre com outras pessoas que tem notebooks com a tela principal danificada.

Abraço. Vocês são feras demais e merecemk parabéns por entregar uma interface tão incrível como o Gnome SHELL.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/libexec/gsd-smartcard
crash_function: NSSRWLock_LockRead_Util
executable:     /usr/libexec/gsd-smartcard
journald_cursor: s=69bbadb593e34b548873b5e5ff8c2e64;i=58f;b=18ef1dd1a28e4bd4b73f81980057d6fb;m=5940c9c;t=588279ee5afb2;x=3645713deb871340
kernel:         5.0.9-301.fc30.x86_64
package:        gnome-settings-daemon-3.32.0-1.fc30
reason:         gsd-smartcard killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            42

Comment 21 amlopes 2019-05-06 13:29:43 UTC
*** Bug 1706902 has been marked as a duplicate of this bug. ***

Comment 22 amlopes 2019-05-07 00:34:10 UTC
*** Bug 1707174 has been marked as a duplicate of this bug. ***

Comment 23 Roman 2019-05-08 15:33:20 UTC
*** Bug 1707879 has been marked as a duplicate of this bug. ***

Comment 24 rrmaintain@hotmail.com 2019-05-10 14:47:08 UTC
*** Bug 1708681 has been marked as a duplicate of this bug. ***

Comment 25 martin.lepetit 2019-05-12 06:18:19 UTC
*** Bug 1708979 has been marked as a duplicate of this bug. ***

Comment 26 Willy Kuchler 2019-05-12 17:36:36 UTC
*** Bug 1709030 has been marked as a duplicate of this bug. ***

Comment 27 Gleidson 2019-05-14 02:01:34 UTC
Similar problem has been detected:

Quero instalar Firefox Developer então baixei o alien para converter arquivos tar.bz2 em rpm.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/libexec/gsd-smartcard
crash_function: NSSRWLock_LockRead_Util
executable:     /usr/libexec/gsd-smartcard
journald_cursor: s=0a3593a5ee7445068fed0261dabd6904;i=33e1;b=ce48a9baeec04978b37030196a4eb347;m=1db6be50e;t=588cef884006d;x=deb869d0c6127a40
kernel:         5.0.13-300.fc30.x86_64
package:        gnome-settings-daemon-3.32.0-1.fc30
reason:         gsd-smartcard killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 28 Gheorghi Isac 2019-05-14 13:16:07 UTC
Similar problem has been detected:

I just logged out and logged in again, and saw this error in Notifications.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/libexec/gsd-smartcard
crash_function: NSSRWLock_LockRead_Util
executable:     /usr/libexec/gsd-smartcard
journald_cursor: s=cbe7ca2fbf96482c97a3fee468434a2a;i=13854;b=fef702284191476a9ac50dace3a47f5e;m=59a5dfc41;t=588d8a7e282b9;x=ef63f5b03cb3f0ff
kernel:         5.0.14-300.fc30.x86_64
package:        gnome-settings-daemon-3.32.0-1.fc30
reason:         gsd-smartcard killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 29 汪明衡 2019-05-15 02:00:31 UTC
Similar problem has been detected:

lanuch some applications

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/libexec/gsd-smartcard
crash_function: NSSRWLock_LockRead_Util
executable:     /usr/libexec/gsd-smartcard
journald_cursor: s=c0aaa94bfa1b4d9ea7c3ef4de40df26e;i=3cd149;b=9bd11d0d320d4781bdad5ef122348b91;m=14bbcf863;t=588e36e3e5fe7;x=5c82b56df126be8
kernel:         5.0.14-300.fc30.x86_64
package:        gnome-settings-daemon-3.32.0-1.fc30
reason:         gsd-smartcard killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 30 radddchad 2019-05-16 03:35:00 UTC
*** Bug 1710674 has been marked as a duplicate of this bug. ***

Comment 31 Ely Castellano 2019-05-18 23:13:56 UTC
Similar problem has been detected:

no have idea

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/libexec/gsd-smartcard
crash_function: NSSRWLock_LockRead_Util
executable:     /usr/libexec/gsd-smartcard
journald_cursor: s=e1da9bbcdb354d899a43d58b0b9caeb9;i=b96;b=a87c4786698b4a97850a1fd298768814;m=9440096f;t=588f2071dd728;x=d2505bce88b31c09
kernel:         5.0.9-301.fc30.x86_64
package:        gnome-settings-daemon-3.32.0-1.fc30
reason:         gsd-smartcard killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 32 Bill Chatfield 2019-05-19 20:51:27 UTC
Similar problem has been detected:

No clue

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/libexec/gsd-smartcard
crash_function: NSSRWLock_LockRead_Util
executable:     /usr/libexec/gsd-smartcard
journald_cursor: s=d9d861f9422b42a394324cb17888be56;i=10dda;b=91d339a8bb5446db93ac7dca0112c452;m=85f274918b;t=5894392ebed54;x=5b21262564b89866
kernel:         5.0.13-300.fc30.x86_64
package:        gnome-settings-daemon-3.32.0-1.fc30
reason:         gsd-smartcard killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 33 Marek Kašík 2019-05-22 13:39:13 UTC
*** Bug 1711796 has been marked as a duplicate of this bug. ***

Comment 34 Marek Kašík 2019-05-22 13:39:20 UTC
*** Bug 1707508 has been marked as a duplicate of this bug. ***

Comment 35 Marek Kašík 2019-05-22 13:41:23 UTC
I've prepared a merge request which I think should fix this issue. See https://gitlab.gnome.org/GNOME/gnome-settings-daemon/merge_requests/104 for info.

Comment 36 fasiellon 2019-05-24 12:55:58 UTC
Similar problem has been detected:

- logout from the system
- suspend (I'm on a laptop)
- reactivate the computer and reloggin in

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/libexec/gsd-smartcard
crash_function: NSSRWLock_LockRead_Util
executable:     /usr/libexec/gsd-smartcard
journald_cursor: s=b9afc2cd4c8c4c618afe6458615d7560;i=48d5;b=5e666bcb24284fb59827b2ec6a133f4e;m=1050bedb7;t=5899d92c00e6d;x=b0766353b801e74c
kernel:         5.0.16-300.fc30.x86_64
package:        gnome-settings-daemon-3.32.0-1.fc30
reason:         gsd-smartcard killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 37 Willy Kuchler 2019-05-24 13:51:40 UTC
*** Bug 1713690 has been marked as a duplicate of this bug. ***

Comment 38 Michael 2019-05-24 16:54:34 UTC
*** Bug 1713741 has been marked as a duplicate of this bug. ***

Comment 39 Jonas Evangelista 2019-05-24 22:19:39 UTC
*** Bug 1713812 has been marked as a duplicate of this bug. ***

Comment 40 Khalid Moharrum 2019-05-26 00:49:32 UTC
*** Bug 1713946 has been marked as a duplicate of this bug. ***

Comment 41 karobidi 2019-05-27 16:38:43 UTC
*** Bug 1714314 has been marked as a duplicate of this bug. ***

Comment 42 james.peterson 2019-05-27 18:49:50 UTC
*** Bug 1714343 has been marked as a duplicate of this bug. ***

Comment 43 Fedora Update System 2019-05-28 11:15:19 UTC
gnome-settings-daemon-3.30.2-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-358468ed91

Comment 44 Fedora Update System 2019-05-28 11:15:26 UTC
gnome-settings-daemon-3.32.0-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-85fc4227e2

Comment 45 Fedora Update System 2019-05-28 22:11:28 UTC
gnome-settings-daemon-3.30.2-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-358468ed91

Comment 46 Fedora Update System 2019-05-29 01:35:50 UTC
gnome-settings-daemon-3.32.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-85fc4227e2

Comment 47 fred 2019-06-01 22:04:03 UTC
*** Bug 1716104 has been marked as a duplicate of this bug. ***

Comment 48 ktaturu 2019-06-04 23:13:23 UTC
*** Bug 1717224 has been marked as a duplicate of this bug. ***

Comment 49 willschmidt182 2019-06-05 19:48:29 UTC
*** Bug 1717612 has been marked as a duplicate of this bug. ***

Comment 50 jefferson.dev.insights 2019-06-10 12:42:27 UTC
*** Bug 1718863 has been marked as a duplicate of this bug. ***

Comment 51 Fedora Update System 2019-06-12 14:47:13 UTC
gnome-settings-daemon-3.32.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 52 Fedora Update System 2019-06-13 01:38:04 UTC
gnome-settings-daemon-3.30.2-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 53 delgadoramirezhenryjesus@gmail.com 2019-06-14 01:19:37 UTC
*** Bug 1720427 has been marked as a duplicate of this bug. ***

Comment 54 sukhamay ganguly 2019-06-29 15:37:03 UTC
*** Bug 1725325 has been marked as a duplicate of this bug. ***

Comment 55 PeterVDanies 2019-08-13 17:14:12 UTC
*** Bug 1740829 has been marked as a duplicate of this bug. ***

Comment 56 Damian Kostyra 2019-09-08 15:38:30 UTC
*** Bug 1750129 has been marked as a duplicate of this bug. ***

Comment 57 cs-interface 2019-09-11 01:48:38 UTC
*** Bug 1750999 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.